/***************************************************************************
 *   Copyright (C) 2009-2016 by Marcel Hasler                              *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This file is part of KDE CDEmu Manager.                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/

#ifndef DEVICELISTITEM_H
#define DEVICELISTITEM_H

#include <QLabel>
#include <QPushButton>
#include <QTreeWidgetItem>

class DeviceListItem : public QObject, public QTreeWidgetItem
{
    Q_OBJECT

public:
    DeviceListItem(unsigned int index);
    ~DeviceListItem();

    void setFileName(QString name);
    QString fileName() const;

    QWidget* widget() const;

signals:
    void mountClicked(unsigned int index);
    void unmountClicked(unsigned int index);

private slots:
    void slotButtonClicked();

private:
    unsigned int m_index;

    QLabel *m_label;
    QPushButton *m_button;
    QWidget *m_widget;
};

#endif // DEVICELISTITEM_H
