/***************************************************************************
 *   Copyright (C) 2009-2016 by Marcel Hasler                              *
 *   mahasler@gmail.com                                                    *
 *                                                                         *
 *   This file is part of KDE CDEmu Manager.                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation, either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program. If not, see <http://www.gnu.org/licenses/>.  *
 ***************************************************************************/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <KHelpMenu>
#include <KMainWindow>
#include <KStatusNotifierItem>

#include <QLabel>

#include "ui_mainwindow.h"

class MainWindow : public KMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void slotDeviceChanged(unsigned int index);
    void slotDaemonChanged(bool);

    void slotMount(unsigned int index);
    void slotUnmount(unsigned int index);

    void slotMountFromHistory();
    void slotClearHistory();

    void slotAddDevice();
    void slotRemoveDevice();

    void slotToggleTrayIcon(bool show);

private:
    void updateDeviceList();

    void appendHistory(QString filename);
    void updateHistory();

private:
    Ui::MainWindow m_ui;
    QLabel *m_statusLabel;

    KHelpMenu *m_helpMenu;
    KStatusNotifierItem *m_trayIcon;
};

#endif // MAINWINDOW_H
